# https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_git_hosting_services
# From GitHub
%global commit 1e8e3919b80829d6893f83f836266f3419633192
%global shortcommit 1e8e3919

%define skip_python2 1

Name:           icoextract
# https://en.opensuse.org/openSUSE:Package_naming_guidelines#SCM_snapshots
# git describe --tags
Version:        0.1.2+git1.g1e8e391
Release:        lp153.1.2
License:        MIT
Summary:        Extract icons from Windows PE files (.exe/.dll)
Url:            https://github.com/jlu5/%{name}
Group:          System/GUI/Other
Source:         https://github.com/jlu5/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  python-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pefile
BuildRequires:  python3-Pillow

Requires:       python3-pefile
Requires:       python3-Pillow
Requires:       python3-setuptools

%python_subpackages


%description
icoextract is an icon extractor for Windows PE files (.exe/.dll), written in
Python. It also includes a thumbnailer script (exe-thumbnailer) for Linux
desktops.


%prep
%autosetup -n %{name}-%{commit}


%build
%python_build


%install
%python_install
mkdir -p %{buildroot}%{_datadir}/thumbnailers/
cp exe-thumbnailer.thumbnailer %{buildroot}%{_datadir}/thumbnailers/


%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*
%{_bindir}/exe-thumbnailer
%{_bindir}/icoextract
%{_bindir}/icolist
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/exe-thumbnailer.thumbnailer


%changelog
* Sun Oct 17 2021 Antônio Vinícius Menezes Medeiros <linuxkamarada@gmail.com> - 0.1.2
- Update to v0.1.2
* Sun Jul  5 2020 Antônio Vinícius Menezes Medeiros <linuxkamarada@gmail.com> - 0.1.1
- Update to v0.1.1
* Tue Feb  4 2020 Antônio Vinícius Menezes Medeiros <linuxkamarada@gmail.com> - 0.1.0
- First icoextract package
